.navbar {

    position: fixed;

    top: 20px;
    left: 50%;

    transform: translateX(-50%);

    width: calc(100% - 40px);
    max-width: 1280px;

    padding: 16px 24px;

    display: flex;
    justify-content: space-between;
    align-items: center;

    z-index: 999;

    background: rgba(255,255,255,0.08);

    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);

    border: 1px solid rgba(255,255,255,0.15);

    border-radius: 20px;
}

.nav-logo img {
    height: 42px;
}

.nav-links {

    display: flex;
    align-items: center;
    gap: 32px;
}

.nav-links a {

    color: white;
    text-decoration: none;

    font-size: 16px;
    font-weight: 500;

    transition: .3s ease;
}

.nav-links a:hover {

    color: var(--orange);
}

.cta-btn {

    padding: 14px 24px;

    border-radius: 14px;

    background:
    linear-gradient(
    135deg,
    var(--orange),
    var(--purple)
    );

    color: white !important;

    font-weight: 600;

    transition: .3s ease;
}

.cta-btn:hover {

    transform: translateY(-2px);

    box-shadow:
    0 12px 30px rgba(247,148,29,0.25);
}

.menu-toggle {

    display: none;

    width: 40px;
    height: 40px;

    position: relative;

    background: transparent;
    border: none;

    cursor: pointer;
}

.menu-toggle span {

    position: absolute;

    width: 26px;
    height: 2px;

    background: white;

    left: 7px;

    transition: .3s ease;
}

.menu-toggle span:nth-child(1) {
    top: 12px;
}

.menu-toggle span:nth-child(2) {
    top: 19px;
}

.menu-toggle span:nth-child(3) {
    top: 26px;
}

.menu-toggle.active span:nth-child(1) {

    transform: rotate(45deg);
    top: 19px;
}

.menu-toggle.active span:nth-child(2) {

    opacity: 0;
}

.menu-toggle.active span:nth-child(3) {

    transform: rotate(-45deg);
    top: 19px;
}

.mobile-menu {

    position: fixed;

    top: 95px;
    right: 20px;

    width: 160px;

    display: flex;
    flex-direction: column;
    align-items: flex-end;

    gap: 24px;

    padding: 30px;

    background: rgba(255,255,255,0.08);

    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);

    border: 1px solid rgba(255,255,255,0.15);

    border-radius: 20px;

    transform: translateX(120%);
    transition: .35s ease;

    z-index: 998;
}

.mobile-menu.active {

    transform: translateX(0);
}

.mobile-menu a {

    text-decoration: none;
    color: white;

    font-size: 14px;
    font-weight: 500;

    transition: .3s ease;
}

.mobile-menu a:active {

    color: var(--orange);

    transform: translateX(-4px);

    transition: .2s ease;
}

.mobile-cta {
    background: none;
    padding: 0;
    border-radius: 0;
}

@media(max-width: 992px) {

    .nav-links {
        display: none;
    }

    .menu-toggle {
        display: block;
    }
}

.mobile-menu {
    display: none;
}

@media (max-width: 992px) {

    .mobile-menu {
        display: flex;
    }

}